summaryrefslogtreecommitdiffstats
path: root/desktop/recordmydesktop
diff options
context:
space:
mode:
author Guilherme Portalegre <deltas4@gmail.com>2010-05-13 00:57:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:40 +0200
commit2dd90f4337b3888f887049034d1f8ab98b0543b9 (patch)
tree80b0b2fb2b6163f6423c934ade13bada3cbdf497 /desktop/recordmydesktop
parenta6fe78118fd958bc649c71ece22fd86ca742789c (diff)
downloadslackbuilds-2dd90f4337b3888f887049034d1f8ab98b0543b9.tar.gz
slackbuilds-2dd90f4337b3888f887049034d1f8ab98b0543b9.tar.xz
desktop/recordmydesktop: Added to 13.0 repository
Diffstat (limited to 'desktop/recordmydesktop')
-rw-r--r--desktop/recordmydesktop/README7
-rw-r--r--desktop/recordmydesktop/recordmydesktop.SlackBuild73
-rw-r--r--desktop/recordmydesktop/recordmydesktop.info10
-rw-r--r--desktop/recordmydesktop/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/desktop/recordmydesktop/README b/desktop/recordmydesktop/README
new file mode 100644
index 0000000000..f05acefc88
--- /dev/null
+++ b/desktop/recordmydesktop/README
@@ -0,0 +1,7 @@
+recordmydesktop (record desktop sessions to an Ogg-Theora-Vorbis file)
+
+recordMyDesktop produces a file(default out.ogg) that contains a video
+and audio recording of a desktop session. It attempts to be easy to
+use, yet also effective at it's primary task.
+
+You may consider using the front-end qt-recordmydesktop.
diff --git a/desktop/recordmydesktop/recordmydesktop.SlackBuild b/desktop/recordmydesktop/recordmydesktop.SlackBuild
new file mode 100644
index 0000000000..6f743637f4
--- /dev/null
+++ b/desktop/recordmydesktop/recordmydesktop.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for recordMydesktop
+
+# Written by Guilherme Portalegre <deltas4@gmail.com>
+
+# Updated for Slackware-13.0 (nothing to do really...)
+# by Michales Michaloudes <korgie@gmail.com>
+
+PRGNAM=recordmydesktop
+VERSION=0.3.8.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+strip --strip-unneeded $PKG/usr/bin/$PRGNAM
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/recordmydesktop/recordmydesktop.info b/desktop/recordmydesktop/recordmydesktop.info
new file mode 100644
index 0000000000..02d6427f28
--- /dev/null
+++ b/desktop/recordmydesktop/recordmydesktop.info
@@ -0,0 +1,10 @@
+PRGNAM="recordmydesktop"
+VERSION="0.3.8.1"
+HOMEPAGE="http://recordmydesktop.org/"
+DOWNLOAD="http://downloads.sourceforge.net/recordmydesktop/recordmydesktop-0.3.8.1.tar.gz"
+MD5SUM="6998b165540598965499bd99d8aa0eef"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Guilherme Portalegre"
+EMAIL="deltas4@gmail.com"
+APPROVED="rworkman"
diff --git a/desktop/recordmydesktop/slack-desc b/desktop/recordmydesktop/slack-desc
new file mode 100644
index 0000000000..392f65d37a
--- /dev/null
+++ b/desktop/recordmydesktop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+recordmydesktop: recordmydesktop (a desktop session recorder)
+recordmydesktop:
+recordmydesktop: recordMyDesktop is a desktop session recorder for GNU/Linux
+recordmydesktop: that attemps to be easy to use, yet also effective at it's
+recordmydesktop: primary task.
+recordmydesktop:
+recordmydesktop:
+recordmydesktop:
+recordmydesktop:
+recordmydesktop:
+recordmydesktop: